/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.bekvon.bukkit.residence.event;

import org.bukkit.entity.Player;

import com.bekvon.bukkit.residence.protection.ClaimedResidence;

/**
 *
 * @author Administrator
 */
public class ResidencePlayerEvent extends ResidenceEvent implements ResidencePlayerEventInterface {

    Player p;

    public ResidencePlayerEvent(final String eventName, final ClaimedResidence resref, final Player player) {
        super(eventName, resref);
        res = resref;
        p = player;
    }

    @Override
    public Player getPlayer() {
        return p;
    }

    @Override
    public boolean isAdmin() {
        if (isPlayer()) {
            return p.hasPermission("residence.admin") || p.isOp();
        }
        return true;
    }

    @Override
    public boolean isPlayer() {
        return p != null;
    }
}
